aboutsummaryrefslogtreecommitdiff
path: root/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'sys/apps/microcode_ctl/microcode_ctl.SlackBuild')
-rwxr-xr-xsys/apps/microcode_ctl/microcode_ctl.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
index 19698f93..c762d705 100755
--- a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
+++ b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
@@ -27,6 +27,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=}
+NUMJOBS=${NUMJOBS:=-j4}
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
@@ -57,7 +59,7 @@ tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TA
cd "$PKG_SRC"
# Compile
-make all || exit $ERROR_MAKE
+make "$NUMJOBS" all || exit $ERROR_MAKE
if [ ! -c /dev/cpu/microcode ]; then
make device || exit $ERROR_MAKE
fi
@@ -90,8 +92,8 @@ fi
# Install documentation
DOCS="Changelog README intel-*.txt"
-mkdir -p "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-cp -a $DOCS "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
# Move the initialization script to /etc/rc.d/, renaming it to rc.*
( cd "$PKG/etc/rc.d"